name: search_me
description: A Sample Application to search from two different search engines.

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.17.1 <3.0.0"

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  flutter_lints: ^2.0.1
  intl: ^0.17.0
  font_awesome_flutter: ^10.1.0
  googleapis: ^9.1.0
  flutter_fimber: ^0.6.5
  http: ^0.13.4
  async: ^2.8.2
  path: ^1.8.1
  firebase_remote_config: ^2.0.8
  firebase: ^9.0.3
  firebase_core: ^1.17.1
  googleapis_auth: ^1.3.1
  flutter_svg: ^1.1.0
  flutter_inappwebview: ^5.4.3+7
  url_launcher: ^6.1.3

dev_dependencies:
  flutter_test:
    sdk: flutter


# The following section is specific to Flutter packages.
flutter:
  generate: true # Add this line

  uses-material-design: true

  assets:
    - svg/
    - file/
